﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Taxi
{
    public partial class Moshtarak_Frm : Form
    {
        public Moshtarak_Frm()
        {
            InitializeComponent();
        }

        ConnectDb dbs = new ConnectDb();
        static string id;

        public void Row_Count()
        {
            lbl_count.Text = Gridview_Moshtarak.Rows.Count.ToString();
        }

        public void refresh()
        {

            dbs.connect();
            Gridview_Moshtarak.DataSource = dbs.select("Select * From Moshtarekin");
            dbs.disconnect();

            Gridview_Moshtarak.Columns[0].HeaderText = "ردیف";
            Gridview_Moshtarak.Columns[1].HeaderText = "شماره اشتراک";
            Gridview_Moshtarak.Columns[2].HeaderText = "نام";
            Gridview_Moshtarak.Columns[3].HeaderText = "نام خانوادگی";
            Gridview_Moshtarak.Columns[4].HeaderText = "تلفن";
            Gridview_Moshtarak.Columns[5].HeaderText = "آدرس";

            Gridview_Moshtarak.Columns[0].Width = 60;
            Gridview_Moshtarak.Columns[1].Width = 80;
            Gridview_Moshtarak.Columns[2].Width = 90;
            Gridview_Moshtarak.Columns[3].Width = 100;
            Gridview_Moshtarak.Columns[4].Width = 85;
            Gridview_Moshtarak.Columns[5].Width = 260;

            txt_address.Text = null;
            txt_fname.Text = null;
            txt_lname.Text = null;
            txt_shmoshtarak.Text = null;
            txt_tel.Text = null;
            Row_Count();

        }

        public void enable_btn()
        {
            btn_save.Enabled = false;
            btn_new.Enabled = true;
            btn_edit.Enabled = true;
            btn_delete.Enabled = true;
            btn_cancel.Enabled = false;
        }

        public void disable_btn()
        {
            btn_save.Enabled = true;
            btn_new.Enabled = false;
            btn_edit.Enabled = false;
            btn_delete.Enabled = false;
            btn_cancel.Enabled = true;
        }

        private void btn_new_Click(object sender, EventArgs e)
        {
            DataTable dt = new DataTable();
            txt_shmoshtarak.Focus();
            refresh();
            disable_btn();

            dt = dbs.select("Select * From Moshtarekin");
            if (dt.Rows.Count == 0)
                txt_shmoshtarak.Text = "100001";
            else
                txt_shmoshtarak.Text = (Convert.ToInt32(dt.Rows[dt.Rows.Count - 1][1]) + 1).ToString();
            //....دریافت اتوماتیک شماره اشتراک
        }

        private void btn_save_Click(object sender, EventArgs e)
        {
            dbs.connect();
            dbs.docommand("Insert Into Moshtarekin Values('" + txt_shmoshtarak.Text + "',N'" + txt_fname.Text + "',N'" + txt_lname.Text + "','" + txt_tel.Text + "','" + txt_address.Text + "')");
            dbs.disconnect();

            refresh();
            MessageBox.Show("عملیات ثبت اطلاعات مشترکین با موفقیت انجام شد", "پیغام", MessageBoxButtons.OK, MessageBoxIcon.Information);
            enable_btn();
        }

        private void btn_edit_Click(object sender, EventArgs e)
        {
            dbs.connect();
            dbs.docommand("Update Moshtarekin Set sh_moshtari=N'" + txt_shmoshtarak.Text + "',fname=N'" + txt_fname.Text + "',lname=N'" + txt_lname.Text + "',tel='" + txt_tel.Text + "',address='" + txt_address.Text + "' Where ID='" + id + "'");
            dbs.disconnect();

            refresh();
            MessageBox.Show("عملیات ویرایش اطلاعات مشترکین با موفقیت انجام شد", "پیغام", MessageBoxButtons.OK, MessageBoxIcon.Information);
            enable_btn();
        }

        private void btn_delete_Click(object sender, EventArgs e)
        {
            if (MessageBox.Show("آیا مطمئن به حذف مشترکین مورد نظر می باشد", "هشدار", MessageBoxButtons.YesNo, MessageBoxIcon.Warning) == DialogResult.Yes) ;
            {
                dbs.connect();
                dbs.docommand("Delete From Moshtarekin Where ID='" + id + "'");
                dbs.disconnect();

                refresh();
            }
        }

        private void btn_refresh_Click(object sender, EventArgs e)
        {
            refresh();
            enable_btn();
        }

        private void btn_cancel_Click(object sender, EventArgs e)
        {
            enable_btn();
            refresh();
        }

        private void txt_search_TextChanged(object sender, EventArgs e)
        {
            dbs.connect();
            Gridview_Moshtarak.DataSource = dbs.select("Select * From Moshtarekin Where sh_moshtari Like N'%" + txt_search.Text + "%' or lname Like N'%" + txt_search.Text + "%'");
            dbs.disconnect();
        }

        private void Gridview_Moshtarak_Click(object sender, EventArgs e)
        {
            id = Gridview_Moshtarak[0, Gridview_Moshtarak.CurrentRow.Index].Value.ToString();
            txt_shmoshtarak.Text = Gridview_Moshtarak[1, Gridview_Moshtarak.CurrentRow.Index].Value.ToString();
            txt_fname.Text = Gridview_Moshtarak[2, Gridview_Moshtarak.CurrentRow.Index].Value.ToString();
            txt_lname.Text = Gridview_Moshtarak[3, Gridview_Moshtarak.CurrentRow.Index].Value.ToString();
            txt_tel.Text = Gridview_Moshtarak[4, Gridview_Moshtarak.CurrentRow.Index].Value.ToString();
            txt_address.Text = Gridview_Moshtarak[5, Gridview_Moshtarak.CurrentRow.Index].Value.ToString();
        }

        private void Moshtarak_Frm_Load(object sender, EventArgs e)
        {
            refresh();
        }
    }
}
