﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Taxi
{
    public partial class Price_Frm : Form
    {
        ConnectDb dbs = new ConnectDb();
        static string id;

        public Price_Frm()
        {
            InitializeComponent();
        }

        public void refresh()
        {

            dbs.connect();
            Gridview_Price.DataSource = dbs.select("Select * From Price");
            dbs.disconnect();

            Gridview_Price.Columns[0].HeaderText = "ردیف";
            Gridview_Price.Columns[1].HeaderText = "مبدا";
            Gridview_Price.Columns[2].HeaderText = "مقصد";
            Gridview_Price.Columns[3].HeaderText = "تعرفه - ریال";
            Gridview_Price.Columns[4].HeaderText = "مسافت - کیلومتر";

            Gridview_Price.Columns[0].Width = 60;
            Gridview_Price.Columns[1].Width = 160;
            Gridview_Price.Columns[2].Width = 160;
            Gridview_Price.Columns[3].Width = 80;
            Gridview_Price.Columns[4].Width = 80;

            txt_source.Text = null;
            txt_destiante.Text = null;
            txt_distance.Text = "0";
            txt_price.Text = "0";
        }

        public void enable_btn()
        {
            btn_save.Enabled = false;
            btn_new.Enabled = true;
            btn_edit.Enabled = true;
            btn_delete.Enabled = true;
            btn_cancel.Enabled = false;
        }

        public void disable_btn()
        {
            btn_save.Enabled = true;
            btn_new.Enabled = false;
            btn_edit.Enabled = false;
            btn_delete.Enabled = false;
            btn_cancel.Enabled = true;
        }

        private void Price_Frm_Load(object sender, EventArgs e)
        {
            refresh();
        }

        private void btn_new_Click(object sender, EventArgs e)
        {
            txt_source.Focus();
            refresh();
            disable_btn();
        }

        private void btn_save_Click(object sender, EventArgs e)
        {
            dbs.connect();
            dbs.docommand("Insert Into Price Values(N'" + txt_source.Text + "',N'" + txt_destiante.Text + "',N'" + txt_price.Text + "',N'" + txt_distance.Text + "')");
            dbs.disconnect();

            refresh();
            MessageBox.Show("عملیات ثبت اطلاعات تعرفه با موفقیت انجام شد", "پیغام", MessageBoxButtons.OK, MessageBoxIcon.Information);
            enable_btn();
        }

        private void btn_edit_Click(object sender, EventArgs e)
        {
            dbs.connect();
            dbs.docommand("Update Price Set source=N'" + txt_source.Text + "',destination=N'" + txt_destiante.Text + "',price=N'" + txt_price.Text + "',distance=N'" + txt_distance.Text + "' Where ID='" + id + "'");
            dbs.disconnect();

            refresh();
            MessageBox.Show("عملیات ویرایش اطلاعات تعرفه با موفقیت انجام شد", "پیغام", MessageBoxButtons.OK, MessageBoxIcon.Information);
            enable_btn();
        }

        private void btn_delete_Click(object sender, EventArgs e)
        {
            if (MessageBox.Show("آیا مطمئن به حذف تعرفه مورد نظر می باشد", "هشدار", MessageBoxButtons.YesNo, MessageBoxIcon.Warning) == DialogResult.Yes) ;
            {
                dbs.connect();
                dbs.docommand("Delete From Price Where ID='" + id + "'");
                dbs.disconnect();

                refresh();
            }
        }

        private void btn_refresh_Click(object sender, EventArgs e)
        {
            refresh();
            enable_btn();
        }

        private void txt_search_TextChanged(object sender, EventArgs e)
        {
            dbs.connect();
            Gridview_Price.DataSource = dbs.select("Select * From Price Where source Like N'%" + txt_search.Text + "%' or destination Like N'%" + txt_search.Text + "%'");
            dbs.disconnect();
        }

        private void Gridview_Price_Click(object sender, EventArgs e)
        {
            id = Gridview_Price[0, Gridview_Price.CurrentRow.Index].Value.ToString();
            txt_source.Text = Gridview_Price[1, Gridview_Price.CurrentRow.Index].Value.ToString();
            txt_destiante.Text = Gridview_Price[2, Gridview_Price.CurrentRow.Index].Value.ToString();
            txt_price.Text = Gridview_Price[3, Gridview_Price.CurrentRow.Index].Value.ToString();
            txt_distance.Text = Gridview_Price[4, Gridview_Price.CurrentRow.Index].Value.ToString();
        }

        private void btn_cancel_Click(object sender, EventArgs e)
        {
            enable_btn();
            refresh();
        }
    }
}
